# -*- coding: utf-8 -*-

def liste_sous(L,M):
    """
    Fonction qui renvoie la soustraction terme à terme de L avec M.
    Si les listes ne sont pas de la même taille, on complète la plus petite par des zéros.
    Auteur: Sophie Tuton
    """
    n,m=len(L),len(M)
    N=[]
    #zero paddig
    if n<m:
        L.append([0]*(m-n))
        n=m
    elif m<n:
        M+=[0]*(n-m)
        m=n
    #soustraction terme à terme
    for i in range(n):
        N.append(L[i]-M[i])
    return(N)

def liste_add(L,M):
    """
    Fonction qui renvoie la somme terme à terme de L avec M.
    Si les listes ne sont pas de la même taille, on complète la plus petite par des zéros.
    Auteur: Sophie Tuton
    """
    n,m=len(L),len(M)
    N=[]
    #zero padding
    if n<m:
        L.append([0]*(m-n))
        n=m
    elif m<n:
        M+=[0]*(n-m)
        m=n
    #somme terme à terme
    for i in range(n):
        N.append(L[i]+M[i])
    return(N)

