# -*- coding: utf-8 -*-

"""
Permet de créer bien plus facilement des instances d'objet ou de personne dans les méthodes Case.Create_add_OBJ et Case.Create_add_PERS
"""

from Personne import *
from Objet import *

   
def Factory(class_name):
    """
    Factory permet de passer très facilement du nom de la classe à la classe elle même
    Factory sert de switch-case pour les méthodes Create_add_PERS() et Create_add_OBJ() de la classe Case
    Auteur : Nicolas VEYLON    
    """
    classes = {'Nourriture' : Nourriture,\
                'Arme_a_feu' : Arme_a_feu,\
                'Arme_de_melee' : Arme_de_melee,\
                'Medicament' : Medicament,\
                'LambdaV' : LambdaV,\
                'Militaire' : Militaire,\
                'Religieux_ext' : Religieux_ext,\
                'Medecin' : Medecin,\
                'Enfant' : Enfant,\
                'LambdaZ' : LambdaZ,\
                'Tank' : Tank }
    return classes[class_name] #classe_name est une chaîne de caractère.
                               #Par exemple, Factory("Medecin") fait référence à la classe Medecin. 